package cn.com.ty.lift.ud.userRebate.service;

import cn.com.ty.lift.ud.userRebate.mapper.entity.UserRebateEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 个人返利记录 -Service
 * 
 * @author Xson
 * @date 2020-05-19
 */
public interface IUserRebateService extends IService<UserRebateEntity> {

    RestResponse create(UserRebateEntity entity);

    RestResponse getAllRebate(Long id);

    RestResponse getAllRebateOfWeb(Long id);

    UserRebateEntity getUpUser(Long lowerUserId);

    void updateByTwoId(UserRebateEntity ubEntity);

    RestResponse isVipOrExpert(Long id);
}
